List videos

This method returns a list of the videos in the specified index. By default, the API returns your videos sorted by creation date, with the newest at the top of the list.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier of the index for which the API will retrieve the videos.

Query Params
integer
Defaults to 1

A number that identifies the page to retrieve.

Default: 1.

integer
Defaults to 10

The number of items to return on each page.

Default: 10.
Max: 50.

string
Defaults to created_at

The field to sort on. The following options are available:

  • updated_at: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item was updated.
  • created_at: Sorts by the time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"), when the item was created.

Default: created_at.

string
Defaults to desc

The sorting direction. The following options are available:

  • asc
  • desc

Default: desc.

string

Filter by filename.

number

Filter by duration. Expressed in seconds.

number

Filter by frames per second.

number

Filter by width.

integer

Filter by height.

number

Filter by size. Expressed in bytes.

string

Filter videos by the creation date and time of their associated indexing tasks, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"). The platform returns the videos whose indexing tasks were created on the specified date at or after the given time.

string

This filter applies only to videos updated using the PUT method of the /indexes/{index-id}/videos/{video-id} endpoint. It filters videos by the last update date and time, in the RFC 3339 format ("YYYY-MM-DDTHH:mm:ssZ"). The platform returns the video indexing tasks that were last updated on the specified date at or after the given time.

To enable filtering by custom fields, you must first add user-defined metadata to your video by calling the PUT method of the /indexes/:index-id/videos/:video-id endpoint.

Examples:

  • To filter on a string: ?category=recentlyAdded
  • To filter on an integer: ?batchNumber=5
  • To filter on a float: ?rating=9.3
  • To filter on a boolean: ?needsReview=true

Headers
string
required

Your API key.

NOTE: You can find your API key on the API Key page.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json